net.sf.jasperreports.crosstabs.fill

## Class JRFillCrosstabRowGroup

- java.lang.Object
- - net.sf.jasperreports.crosstabs.fill.JRFillCrosstabGroup
  - - net.sf.jasperreports.crosstabs.fill.JRFillCrosstabRowGroup

- All Implemented Interfaces:
    java.lang.Cloneable, JRCrosstabGroup, JRCrosstabRowGroup, JRCloneable

      public class JRFillCrosstabRowGroup
      extends JRFillCrosstabGroup
      implements JRCrosstabRowGroup

  Crosstab row group implementation used at fill time.
  Version:
    $Id: JRFillCrosstabRowGroup.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.crosstabs.fill.JRFillCrosstabGroup

      `header, parentGroup, totalHeader, variable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillCrosstabRowGroup(JRCrosstabRowGroup group, JRFillCrosstabObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CrosstabRowPositionEnum` | `getPositionValue()` Returns the position of the header contents for header stretching.
    `int` | `getWidth()` Returns the width of the group headers.

    - ### Methods inherited from class net.sf.jasperreports.crosstabs.fill.JRFillCrosstabGroup

      `clone, getBucket, getFillHeader, getFillTotalHeader, getFillVariable, getHeader, getName, getTotalHeader, getTotalPositionValue, getVariable, hasTotal`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.crosstabs.JRCrosstabGroup

      `getBucket, getHeader, getName, getTotalHeader, getTotalPositionValue, getVariable, hasTotal`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRFillCrosstabRowGroup

          public JRFillCrosstabRowGroup(JRCrosstabRowGroup group,
                                JRFillCrosstabObjectFactory factory)

  - ### Method Detail

    - #### getPositionValue

          public CrosstabRowPositionEnum getPositionValue()

      Description copied from interface: `JRCrosstabRowGroup`
      Returns the position of the header contents for header stretching.

      The row group headers stretch vertically when there are multiple sub group entries. The header contents will be adjusted to the new height depending on this attribute:

      - `CrosstabRowPositionEnum.TOP` - the contents will be rendered at the top of of the header
      - `CrosstabRowPositionEnum.MIDDLE` - the contents will be rendered on the center of the header
      - `JCrosstabRowPositionEnum.BOTTOM` - the contents will be rendered at the bottom of the header
      - `CrosstabRowPositionEnum.STRETCH` - the contents will be proportionally stretched to the new header size
      Specified by:
        `getPositionValue` in interface `JRCrosstabRowGroup`
      Returns:
        the position of the header contents for header stretching

    - #### getWidth

          public int getWidth()

      Description copied from interface: `JRCrosstabRowGroup`
      Returns the width of the group headers.
      Specified by:
        `getWidth` in interface `JRCrosstabRowGroup`
      Returns:
        the width of the group headers
      See Also:
        `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com